<?php

/**
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2007-2009 Jan Kulmann <jankul@zmml.uni-bremen.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+

page_open(array("sess" => "Seminar_Session", "auth" => "Seminar_Auth", "perm" => "Seminar_Perm", "user" => "Seminar_User"));

$GLOBALS['perm']->check('autor');

//include ("lib/seminar_open.php");             // initialise Stud.IP-Session
require_once('lib/functions.php');
require_once('lib/classes/Avatar.class.php');
require_once('vendor/flexi/template_factory.php');

include_once("classes/RSSProducer.class.php");
include_once("classes/BlogEntry.class.php");
include_once("classes/BlogDBM.class.php");

$template_path = dirname(__FILE__) . '/templates/flexi';
$factory = new Flexi_TemplateFactory($template_path);
$permalink = $GLOBALS['ABSOLUTE_URI_STUDIP']."plugins_packages/ZMML/BloggingPlugin/blog.php?a=";
$dbm = new BlogDBM();

$x = trim($_REQUEST['a']);
$modus = trim($_REQUEST["blmodus"]);
$username = trim($_REQUEST['username']);
$category_id = trim($_REQUEST['channel']);

if ($modus == "rss" && strlen($username) > 0) {
	$rss_path = dirname(__FILE__);
	$rss_path = substr($rss_path, -(strlen($GLOBALS['ABSOLUTE_PATH_STUDIP']) - 5));
	$rss_path = $GLOBALS['ABSOLUTE_URI_STUDIP'].$rss_path.'/blog.php';
	$rss = new RSSProducer(&$dbm, $rss_path);
	if ($category_id) $rss->setCategoryId($category_id);
	return $rss->create_rss_stream(get_userid($username));
	die;
}

?>
<html>
<body>
<?

$entry_id = $dbm->getEntryIdFromPermid($x);
$e = new BlogEntry();
$e->load($entry_id);
if ($e->getVisible() == 1) {
	include($GLOBALS['ABSOLUTE_PATH_STUDIP'].'plugins_packages/ZMML/BloggingPlugin/config.inc.php');
        echo "<LINK REL=\"stylesheet\" HREF=\"".$GLOBALS['ABSOLUTE_URI_STUDIP']."plugins_packages/ZMML/BloggingPlugin/css/style-blog.css\" TYPE=\"text/css\" />\n";
	$template = $factory->open('single_blog_entry');
        $template->set_attribute('e', $e);
	$template->set_attribute('extern', TRUE);
	$template->set_attribute('creation_date', date("d. ", $e->getMkdate()).$MONATE[date('n',$e->getMkdate())]." ".date('Y',$e->getMkdate())." @ ".date("H:i",$e->getMkdate()));
        $template->set_attribute('permalink', $permalink);
        $template->set_attribute('req_username', get_username($e->getUserId()));
	echo $template->render();
} else {
	echo "<TABLE BORDER=\"0\">\n";
	parse_msg("error"._("Blog-Eintrag nicht gefunden!"));
	echo "</TABLE>\n";
}
// Save data back to database.
page_close();
?>
</body>
</html>
